<tr class="row"
    click="element.selectShippingMethod">
    <td class="col col-method">
        <input type="radio"
               class="radio"
               ifnot="method.error_message"
               ko-checked="element.isSelected"
               ko-value="method.carrier_code + '_' + method.method_code"
               attr="'aria-labelledby': 'label_method_' + method.method_code + '_' + method.carrier_code + ' ' + 'label_carrier_' + method.method_code + '_' + method.carrier_code,
                    'checked': element.rates().length == 1 || element.isSelected"/>
    </td>
    <!-- ko ifnot: (method.error_message) -->
    <td class="col col-price">
        <each args="element.getRegion('price')" render=""></each>
    </td>
    <!-- /ko -->
    <td class="col col-method"
        attr="'id': 'label_method_' + method.method_code + '_' + method.carrier_code"
        text="method.method_title"></td>
    <td class="col col-carrier"
        attr="'id': 'label_carrier_' + method.method_code + '_' + method.carrier_code"
        text="method.carrier_title"></td>
    <td class="col col-carrier">
        <!-- ko if: ($data?.extension_attributes?.has_map) -->
        <button class="action primary" data-bind="i18n: 'Choose location'" click="element.openMap"></button>
        <!-- /ko -->
    </td>
    <td class="col col-carrier">
        <!-- ko if: ($data?.extension_attributes?.has_map) -->
        <div data-bind="text: element.pudoPoint"></div>
        <div data-bind="text: element.infoMessage, css: {'info-pudo': element.infoMessage()}" class="message"></div>
        <!-- /ko -->
    </td>
</tr>
<tr class="row row-error"
    if="method.error_message">
    <td class="col col-error" colspan="4">
        <div role="alert" class="message error">
            <div text="method.error_message"></div>
        </div>
        <span class="no-display">
            <input type="radio"
                   attr="'value' : method.method_code, 'id': 's_method_' + method.method_code">
        </span>
    </td>
</tr>
